EndpointsContainer Images
Request image upload
POST
/v2/container_images/uploadCreates a pending image version and returns temporary registry credentials for uploading its layers. Repeating a client hash reuses the existing version.
Authorization
BearerAuth AuthorizationBearer <token>
Bearer token issued by Softmax
In: header
Request Body
application/json
name*Name
Name for the container image.
Length
1 <= length <= 128client_hash?|
Client-computed content hash used to reuse an existing image version.
curl -X POST "https://softmax.com/api/observatory/v2/container_images/upload" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "image": { "id": "string", "name": "string", "version": 0, "client_hash": "string", "status": "string", "image_uri": "string", "image_digest": "string", "public_image_uri": "string", "is_coworld_image": false }, "pre_signed_info": { "kind": "ecr", "region": "string", "registry": "string", "repository": "string", "tag": "string", "image_uri": "string", "endpoint_url": "string", "expires_at": "2019-08-24T14:15:22Z", "authorization_token": "string" }}